import logging
import slixmpp
import config
from datetime import datetime


class JabberBot(slixmpp.ClientXMPP):
    """
    Класс для работы с Jabber
    """

    def __init__(self, jid, password):
        slixmpp.ClientXMPP.__init__(self, jid, password)

        # Register plugins
        self.register_plugin('xep_0030') # Service Discovery
        self.register_plugin('xep_0004') # Data Forms
        self.register_plugin('xep_0060') # PubSub
        self.register_plugin('xep_0199') # XMPP Ping

    def log(self, message):
        # надо строчку лога сделать более информативной
        logfile = open("logs/" + datetime.now().strftime('%Y-%m-%d') + "-" + self.user + ".log", "a")
        logfile.write(message)
        logfile.close()
        print(message)

    def stop(self):
        self.disconnect()

